<template>
  <div class="record">
    <div class="record-list">
      <div class="record-item" v-for="(item,index) in list" :key="index">
        <div class="change-time">
          <span class="title">兑换时间：</span>
          <span class="time">{{item.exchangeDate}}</span>
        </div>
        <div class="record-content">
          <div class="product-info">
            <div class="left">
              <image class="product-img" mode="aspectFit" :src="item.productImg" alt="" />
            </div>
            <div class="right">
              <div class="product-name">{{item.productName}}</div>
              <div class="flex">
                <div class="product-attribute">
                  <div class="amount">
                    <div class="label">颜色：</div>
                    <div class="value">{{item.color}}</div>
                  </div>
                  <div class="amount">
                    <div class="label">尺码：</div>
                    <div class="value">{{item.size}}</div>
                  </div>
                  <div class="amount">
                    <div class="label">数量：</div>
                    <div class="value">{{item.count}}</div>
                  </div>
                </div>
                <div class="product-integral">
                  <div class="label">积分：</div>
                  <div class="value">{{item.exchangePoints}}</div>
                </div>
              </div>
            </div>
          </div>
          <div class="product-price">
            <div class="label">小计</div>
            <div class="value">{{item.totalAmount}}</div>
          </div>
          <div class="order-info">
            <div class="cell">
              <div class="label">领取方式</div>
              <div class="value">{{item.getWayInfo}}</div>
            </div>
            <div class="cell" v-if="item.storeName">
              <div class="label">门店名称</div>
              <div class="value">{{item.storeName}}</div>
            </div>
            <div class="cell">
              <div class="label">截止时间</div>
              <div class="value">{{item.endTime}}</div>
            </div>
            <div class="cell" v-if="item.phone">
              <div class="label">手机号码</div>
              <div class="value">{{item.phone}}</div>
            </div>
            <div class="cell" v-if="item.shippingAddr">
              <div class="label">收货地址</div>
              <div class="value address">{{item.shippingAddr}}</div>
            </div>
          </div>
        </div>
        <div class="logistics-info" @click="event().toLogisticsInfo(item.trackingNo)" v-if="item.shippingAddr">
          <div class="logistics-title">
            <span class="text">查看物流</span>
            <img class="arrow-right" :src="arrow_right" alt="">
          </div>
        </div>
      </div>
    </div>
    <v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>
  </div>
</template>

<script type="text/ecmascript-6">
import config from "@/config";
import {
  VeevlinkLogin,
  VeevlinkIslogin,
  VeevlinkClient,
  VeevlinkData
} from "@/utils/base";
import {
  get,
  showToast,
  setStorageSync,
  getStorageSync,
  scanCode
} from "@/util";
import store from "@/store";
import hintbox from "@/components/hintbox/hintbox.vue";
import date from "./date.vue";
export default {
  data() {
    return {
      arrow_right: config.url + "right.png",
      list: []
    };
  },
  components: {
    "v-hintbox": hintbox,
    "v-date": date
  },
  methods: {
    /*  =====自定义函数/方法区start===== */
    handler() {
      return {
        //todo:替换url
        replaceUrl: (domain, url) => {
          //删除url原有域名
          const DeleteDomainUrl = url.substring(
            url.indexOf(".com/") + 4,
            url.length
          );
          //转码
          const normalUrl = DeleteDomainUrl.replace(/&amp;/g, "&");
          return domain + normalUrl;
        }
      };
    },
    /*  =====自定义函数/方法区end===== */
    /*=====事件区start*/
    event() {
      return {
        //todo:查看物流
        toLogisticsInfo: (deliveryNo) => {
          if(deliveryNo){
            config.href(`${config.shop.logview}?deliveryNo=${deliveryNo}`);
          }else{
            wx.showToast({
              title: '暂无物流信息',
              icon:'none',
              duration: 2000
            })
          }
          
        }
      };
    },
    /*=====事件区end*/
    /*=====网络区start*/
    network() {
      return {
        //todo:获取兑换记录
        runApiToGetRecordsList: () => {
          let VerificationCodeEntity = wx.getStorageSync(
            "informationwx23bcedfe9e867c13"
          );
          let memberId = wx.getStorageSync("memberid");
          VeevlinkClient(
            "/points/exchange/list?openId=" +
              VerificationCodeEntity.OpenId +
              "&memberId=" +
              memberId,
            "GET",
            "",
            data => {
              console.log(data);
              if (data.success) {
                data.records.forEach(item=>{
                  console.log(item.productImg);
                  item.productImg = this.handler().replaceUrl("http://redstone-uat-site.veevlink.com",item.productImg)
                })
                this.list = data.records;
              } else {
                this.hintbox.show = true;
                this.hintbox.text = success.message;
              }
            },
            error => {
              console.log(error);
            }
          );
        }
      };
    },
  },
  onLoad(data) {
    this.network().runApiToGetRecordsList();
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style>
page {
  background-color: #efefef;
}
</style>

<style lang="scss" type="text/scss" scoped>
.label {
  font-size: 24rpx;
  font-family: STXihei;
  color: rgba(0, 0, 0, 0.4);
}
.value {
  font-size: 24rpx;
  font-family: GillSans-Light, GillSans;
  font-weight: 300;
  color: #333;
}
.record {
  .record-list {
    .record-item {
      .change-time {
        padding: 24rpx 70rpx;
        color: #727171;
        font-size: 24rpx;
        .title {
          font-family: STXihei;
        }
        .time {
          font-family: GillSans-Light, GillSans;
          font-weight: 300;
        }
      }

      .record-content {
        background-color: #fff;
        padding: 58rpx 70rpx 0rpx 70rpx;
        .product-info {
          display: flex;
          align-items: center;
          // justify-content: center;
          .left {
            margin-right: 50rpx;
            box-sizing: border-box;
            width: 200rpx;
            height: 200rpx;
            padding: 10rpx;
            border: 1rpx solid rgba(151, 151, 151, 0.2);
            .product-img {
              width: 100%;
              height: 100%;
            }
          }
          .right {
            flex: 1;
            align-self: flex-start;
            box-sizing: border-box;
            .product-name {
              margin-bottom: 52rpx;
              font-size: 28rpx;
              font-family: GillSans-Light, GillSans;
              font-weight: 300;
            }
            .flex {
              height: 117rpx;
              display: flex;
              justify-content: space-between;
              .product-attribute {
                display: flex;
                flex-direction: column;
                justify-content: space-between;
                .amount {
                  display: flex;
                  align-items: center;
                }
              }
              .product-integral {
                display: flex;
                align-self: flex-end;
              }
            }
          }
        }

        .product-price {
          display: flex;
          align-items: center;
          justify-content: space-between;
          padding: 32rpx 0;
          margin-top: 58rpx;
          border-top: 1rpx solid #d8d8d8;
          border-bottom: 1rpx solid #d8d8d8;
        }

        .order-info {
          margin-top: 40rpx;
          overflow: hidden;
          .cell {
            margin-bottom: 40rpx;
            display: flex;
            justify-content: space-between;
          }
          .label,
          .value {
            flex: 1;
          }
          .value {
            text-align: right;
          }
          .address {
            text-align: left;
          }
        }
      }
      .logistics-info {
        background-color: #fff;
        height: 96rpx;
        width: 100%;
        line-height: 96rpx;
        border-top: 1rpx solid #d8d8d8;
        .logistics-title {
          display: flex;
          align-items: center;
          justify-content: center;
          .text {
            font-size: 24rpx;
            font-family: STXihei;
            color: #333;
            margin-right: 20rpx;
          }
          .arrow-right {
            width: 12rpx;
            height: 16rpx;
          }
        }
      }
    }
  }
}
</style>
